org.apache.hc.core5.http.protocol

## Class RequestConformance

- java.lang.Object
- - org.apache.hc.core5.http.protocol.RequestConformance

- All Implemented Interfaces:
    HttpRequestInterceptor

      @Contract(threading=IMMUTABLE)
      public class RequestConformance
      extends Object
      implements HttpRequestInterceptor

  This request interceptor is responsible for execution of the protocol conformance checks on incoming request messages.

  This interceptor is essential for the HTTP protocol conformance and the correct operation of the server-side message processing pipeline.

  Since:
    5.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequestConformance` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestConformance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(HttpRequest request, EntityDetails entity, HttpContext localContext)` Processes a request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final RequestConformance INSTANCE

  - ### Constructor Detail

    - #### RequestConformance

          public RequestConformance()

  - ### Method Detail

    - #### process

          public void process(HttpRequest request,
                              EntityDetails entity,
                              HttpContext localContext)
                       throws HttpException,
                              IOException

      Description copied from interface: `HttpRequestInterceptor`
      Processes a request. On the client side, this step is performed before the request is sent to the server. On the server side, this step is performed on incoming messages before the message body is evaluated.
      Specified by:
        `process` in interface `HttpRequestInterceptor`
      Parameters:
        `request` - the request to process
        `entity` - the request entity details or `null` if not available
        `localContext` - the context for the request
      Throws:
        `HttpException` - in case of an HTTP protocol violation
        `IOException` - in case of an I/O error

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.